Bug 473160 - Installer replaced MBR with unconfigured grub
Installer replaced MBR with unconfigured grub
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 15:41 EST by Philip Sherman
Modified: 2009-05-18 11:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 11:35:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Sherman 2008-11-26 15:41:23 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.4) Gecko/2008111317 Ubuntu/8.04 (hardy) Firefox/3.0.4

Installed Fedora 10 on IBM T40 laptop using custom configuration. /boot on /dev/sda2, root (/) on existing LVM drive. Specified NOT to install a boot loader. At end of installation, MBR contained an unconfigured grub which prohibited booting the machine. 

Problem fixed by restoring the original (pre Fedora 10) MBR. Existing grub.conf at /boot/grub (sda2) modified to include new Fedora 10 installation which booted ok.

Reproducible: Didn't try

Steps to Reproduce:
1.
2.
3.
Comment 1 Chris Lumens 2008-12-02 12:59:19 EST
Please attach /var/log/anaconda.log and /var/log/anaconda.syslog to this bug report.  Thanks.
Comment 2 Philip Sherman 2008-12-04 14:47:33 EST
Logs presently unavailable. I'll have to repeat the install to recreate them. It will be 5-7 days until I can do this.
Comment 3 Chris Lumens 2009-05-18 11:35:25 EDT
If you're able to reproduce this bug with F11, please reopen with the log files and we'll be able to work on debugging this one.  Major amounts of work have happened regarding partitioning and bootloader installation, so it's probably this bug is fixed.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.